package com.jesuspinar.booksearch.service;

import com.jesuspinar.booksearch.model.Book;

import java.util.Collection;

public interface IBookService {
    public Collection<String> findAllGenres();
    public Collection<Book> findByAnyGenre(String... genres);
    public Collection<Book> findByAllGenres(String... genres);
    public Collection<Book> findByTitleContains(String title);
    public Collection<Book> findAll();
}
