package com.jesuspinar.booksearch.service;

import com.jesuspinar.booksearch.model.Book;

import java.util.Collection;

public interface IBookQueryService {
    public Collection<Book> exec();
    public IBookQueryService anyGenre(String... genre);
    public IBookQueryService allGenres(String... genres);
    //public IBookQueryService anyAuthor(String... author);
    //public IBookQueryService allAuthors(String... genres);
    public IBookQueryService anyTitle(String title);

}
